Package com.collibra.dgc.core.api.model.quality

# Interface DataQualityRule

All Superinterfaces:
  `Entity`, `NamedDescribedResource`, `NamedResource`, `Resource`, `Serializable`

@Deprecated public interface DataQualityRule extends NamedDescribedResource
Deprecated.
This interface will be removed in the future. This feature is being dropped, so no replacement will be available.
Represents a data quality rule

Data quality rule specifies where data quality results are calculated, how they are categorized and what metrics are used for the calculations.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ResourceReference`
  `getCategorizationRelationType()`
  Deprecated.
  This method will be removed in the future.
  `List<DataQualityMetric>`
  `getDataQualityMetrics()`
  Deprecated.
  This method will be removed in the future.
  `RelationTrace`
  `getRelationTrace()`
  Deprecated.
  This method will be removed in the future.

  ### Methods inherited from interface Entity

  `getId, setId`

  ### Methods inherited from interface NamedDescribedResource

  `getDescription`

  ### Methods inherited from interface NamedResource

  `getName`

  ### Methods inherited from interface Resource

  `getCreatedBy, getCreatedOn, getLastModifiedBy, getLastModifiedOn, getResourceType, isSystem`

- ## Method Details

  - ### getCategorizationRelationType

    @Deprecated ResourceReference getCategorizationRelationType()
    Deprecated.
    This method will be removed in the future. This feature is being dropped, so no replacement will be available.
    Returns the categorization relation type.

    Categorization defines if an asset belongs to a subscore called dimension. It belongs when an asset has a relation of the type defined in the categorizationRelationType to that dimension.

    Returns:
      the categorization relation type

  - ### getRelationTrace

    @Deprecated RelationTrace getRelationTrace()
    Deprecated.
    This method will be removed in the future. This feature is being dropped, so no replacement will be available.
    Returns the relation trace that describes the chain of relations which is followed when calculating the quality of an asset.
    Returns:
      the relation trace that describes the chain of relations

  - ### getDataQualityMetrics

    @Deprecated List<DataQualityMetric> getDataQualityMetrics()
    Deprecated.
    This method will be removed in the future. This feature is being dropped, so no replacement will be available.
    Returns the data quality metrics used in the rule, including the mandatory ones.
    Returns:
      the data quality metrics used in the rule